2021-03-02 03:05 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001104Frama-CGraphical User Interfacepublic2014-02-12 16:58
ReporterJochen 
Assigned Toyakobowski 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product VersionFrama-C Nitrogen-20111001 
Target VersionFixed in VersionFrama-C Oxygen-20120901 
Summary0001104: value analysis warning disappears from 'Messages' window in gui after 'Reparse' button clicked
DescriptionUnder Mac OS X Version 10.6.8, I ran "frama-c-gui -val exm02.c" on the attached program. In the "Messages" window of the Frama-C gui, an overflow warning is displayed for line 4, which is ok.

After clicking on the "Reparse" button, that message disappears, although nothing has been changed in the source code. Even after clicking on the "Analyses" button and clicking on the "Execute" button in the popped-up window "Launching analysis", the overflow warning doesn't appear again.
TagsNo tags attached.
Attached Files
  • c file icon exm02.c (86 bytes) 2012-02-24 11:18 -
    int main(int n) {
        int s = 0;
        for (int i=0; i<n; ++i)
    	s += i;
        return s;
    }
    
    c file icon exm02.c (86 bytes) 2012-02-24 11:18 +

-Relationships
+Relationships

-Notes

~0002732

yakobowski (manager)

Hi,

This is actually a bug in the memoization of messages, which is not currently project-aware; the message is not re-emitted on the console either. Admittedly, we can improve at least the behavior of the reparse button.

~0004617

yakobowski (manager)

Fix committed to stable/neon branch.
+Notes

-Issue History
Date Modified Username Field Change
2012-02-24 11:18 Jochen New Issue
2012-02-24 11:18 Jochen Status new => assigned
2012-02-24 11:18 Jochen Assigned To => monate
2012-02-24 11:18 Jochen File Added: exm02.c
2012-02-24 11:39 yakobowski Note Added: 0002732
2012-02-24 11:39 yakobowski Assigned To monate => correnson
2012-09-07 15:02 yakobowski Assigned To correnson => yakobowski
2012-09-07 17:13 svn
2012-09-07 17:13 svn Status assigned => resolved
2012-09-07 17:13 svn Resolution open => fixed
2012-09-19 17:15 signoles Fixed in Version => Frama-C Oxygen-20120901
2012-09-19 17:16 signoles Status resolved => closed
2013-12-19 01:11 yakobowski Source_changeset_attached => framac master b99fc010
2014-02-12 16:53 yakobowski Source_changeset_attached => framac stable/neon b99fc010
2014-02-12 16:58 yakobowski Note Added: 0004617
2014-02-12 16:58 yakobowski Status closed => resolved
+Issue History